using System;
using System.IO;
using System.Text;
using System.Collections;


namespace Slush.Misc
{
	/// <summary>
	/// 
	/// </summary>
	public class INIFile
	{
		
		Hashtable hash = new Hashtable();
		
		// Creates an empty iniFile
		public INIFile()
		{

		}

		// Loads an inifile from filename
		public INIFile(string filename)
		{
			FileStream fs = File.Open(filename, FileMode.Open, FileAccess.Read, FileShare.Read);
			Byte []data = new Byte[fs.Length];

			fs.Read(data, 0, (int)(fs.Length));

			string str = System.Text.ASCIIEncoding.ASCII.GetString(data, 0, (int)fs.Length);

			Char []delim = new Char[1];
			delim[0] = '\n';
			string []strList = str.Split(delim, 100);
			delim[0] = '=';
			for(int i = 0; i < strList.Length; i++)
			{
				str = strList[i].Trim();
				if(str.Equals("")) continue;
				string []split = str.Split(delim, 2);
				hash[split[0].Trim()] = split[1].Trim();
			}
			fs.Close();
		}

		public void save(string filename)
		{
			FileStream fs = File.Open(filename, FileMode.Create, FileAccess.Write, FileShare.Read);
            StringBuilder sb = new StringBuilder();
			IDictionaryEnumerator de = hash.GetEnumerator();
			while( de.MoveNext() )
			{
				sb.Append(de.Key).Append("=").Append(de.Value).Append("\r\n");
			}
			Byte []data = Encoding.ASCII.GetBytes(sb.ToString());
			fs.Write(data, 0, data.Length);
			fs.Close();
		}
		public string this [string key]   // indexer declaration
		{
			get 
			{
				return (string)hash[key];
			}
			set 
			{
				hash[key] = value;
			}
		}
	}
}
