using System;

namespace Slush.Net
{
	/// <summary>
	/// 
	/// </summary>
	public class PageParser
	{
		string str;
		int curPos;
		public PageParser(string myString)
		{
			str = myString;
			curPos = 0;
		}
		
		public void reset()
		{
			curPos = 0;
		}

		public void goTo(string text)
		{
			curPos = str.IndexOf(text, curPos + 1);
		}

		public string getContained(string start, string end)
		{
			if(curPos == -1) return "";
			int startPos = str.IndexOf(start, curPos + 1);
			if (startPos == -1) return "";
			int endPos = str.IndexOf(end, startPos + start.Length);
			if (endPos == -1) return "";
			if (endPos - startPos <=0) return "";
			curPos = endPos;
			return str.Substring(startPos + start.Length, endPos - (startPos + start.Length));
		}

	}
}
