using System;
using System.Net;


namespace Slush.Net
{
	/// <summary>
	/// Summary description for HTTPProxySession.
	/// </summary>
	public class HTTPProxySession : HTTPSession
	{
		public HTTPProxySession(string server, string proxy, int port) : base(server)
		{			
			hostAddress = Dns.Resolve(proxy).AddressList[0];
			hostEndpoint = new IPEndPoint(hostAddress, port);
			
			//
			// TODO: Add constructor logic here
			//
		}
	}
}
